error when running `bundle install`: "Please run `bundle install`" #865

Closed
benhutton opened this Issue Nov 19, 2010 · 3 comments

Projects

None yet

4 participants

@benhutton

I've been hitting circular error messages like this a lot:
ben@ben-desktop:~/projects/dgnetwork (hotfix/1.3.4)$ bundle install
http://github.com/ernie/paperclip.git (at 0ab7413) is not checked out. Please run bundle install

Of course, this is happening because I'm inside bundle exec bash. The solution is to exit bundle exec bash and run bundle install. A clearer error message would be helpful.

@indirect
Member
indirect commented Feb 2, 2011

The bundler team doesn't use bundle exec bash, so this is a pretty low priority. Patches happily accepted, though!

@tillsc
tillsc commented Apr 20, 2011

Here is a little hack to run bundler in a bundler environment (including rake tasks in Rails 3 projects):
unset BUNDLE_GEMFILE && unset RUBYOPT && bundle install

@indirect
Member

Or, you can just use

Bundler.with_clean_env do
  `rake whatever`
end

On Apr 20, 2011, at 7:28 AM, tillsc reply@reply.github.com wrote:

Here is a little hack to run bundler in a bundler environment (including rake tasks in Rails 3 projects):
unset BUNDLE_GEMFILE && unset RUBYOPT && bundle install

Reply to this email directly or view it on GitHub:
#865 (comment)

@ixti ixti closed this Jul 8, 2013
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment